package com.ycgis.macall.personalcenter.m.adapterbean;

import com.google.gson.Gson;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

/**
 * created by:   Macall
 * create time:  2022/11/18 14:23
 * copyright:    @ruansee.com
 * Describe:
 */
public class AppGuideDetailsBean extends BaseBean implements Serializable {

    /**
     * id : 11
     * applicationId : 26
     * applicationName : 一标三实
     * filePath : /profile/upload/2022/11/18/车辆档案结果界面_20221118094523A002.jpg
     * type : 1
     * createTime : 2022-11-18 09:45:24
     * updateTime : 2022-11-18 09:45:24
     * remark : null
     */

    @SerializedName("id")
    private Integer id;
    @SerializedName("applicationId")
    private Integer applicationId;
    @SerializedName("applicationName")
    private String applicationName;
    @SerializedName("filePath")
    private String filePath;
    @SerializedName("type")
    private Integer type;
    @SerializedName("remark")
    private String remark;

    public static AppGuideDetailsBean objectFromData(String str) {

        return new Gson().fromJson(str, AppGuideDetailsBean.class);
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getApplicationId() {
        return applicationId;
    }

    public void setApplicationId(Integer applicationId) {
        this.applicationId = applicationId;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
